<?php

namespace app\api\controller;

use app\common\model\WechatConfig;
use EasyWeChat\Factory;
use think\facade\Log;

class WechatMp extends Base
{
    public function jssdk()
    {
        $param = request()->param();
        $rules = [
            "url|回调地址" => "require",
            "wechatcode|微信代码" => "require",
        ];
        $this->autoValid($rules, $param);
        $url = trim(urldecode2(input("url")));//回调地址
        $wechatcode = input("wechatcode");
        $apis = input("apis");
        $apiList = ["updateAppMessageShareData", "updateTimelineShareData", "onMenuShareAppMessage", "onMenuShareTimeline", "onMenuShareQQ", "onMenuShareWeibo", "onMenuShareQZone", "chooseWXPay", "openLocation", "getLocation", "scanQRCode", "chooseImage", "previewImage", "uploadImage", "downloadImage", "getLocalImgData", "startRecord", "stopRecord", "onVoiceRecordEnd", "playVoice", "pauseVoice", "stopVoice", "onVoicePlayEnd", "uploadVoice", "downloadVoice", "translateVoice", "hideMenuItems", "showMenuItems", "hideAllNonBaseMenuItem", "showAllNonBaseMenuItem", "closeWindow", "openProductSpecificView", "addCard", "chooseCard", "openCard"];
        if ($apis) {
            $apiList = explode(",", $apis);
        }

        $debug = input("debug", false);
        $wechatConfig = WechatConfig::getEasyWechatConfig($wechatcode);
        Log::record("wechatConfig:" . json_encode($wechatConfig, JSON_UNESCAPED_UNICODE), "debug");
        $app = Factory::officialAccount($wechatConfig);

        $jsticket = $app->jssdk->getTicket();

        $app->jssdk->setUrl($url);

        //$jssdk = $app->jssdk->getConfigArray($apiList, $debug);//  ->buildConfig($apiList,$debug);
        $jssdkBuild = $app->jssdk->buildConfig($apiList, $debug);
        $jssdk = json_decode($jssdkBuild, true);

//        $jsticket1 = $app->jssdk->getTicket();
//        $jssdk["jsticket"] = $jsticket;
//        $jssdk["jsticket1"] = $jsticket1;
//        $jssdk["url1"] = $url;
        $jssdk["param"] = $param;
        $this->success($jssdk);
        //$jssdk=$app->jssdk->buildConfig(array $APIs, $debug = false, $beta = false, $json = true, array $openTagList = []);

    }

}